<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

/////////////////////////////////////////////////////////////////////////////
only_reg();
$set['title']='Приветствие';
include_once 'sys/inc/thead.php';
title();


if (isset($_POST['save'])){
if (isset($_POST['privet']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['privet']))))<=84)
////////////ПРОВЕРКА и ЗАЩИТА ОТ SQL inj///////////////
if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['privet']))$err[]='В поле  используются запрещенные символы';
else {
$user['privet']=esc(stripcslashes(htmlspecialchars($_POST['privet'])));
mysql_query("UPDATE `user` SET `privet` = '$user[privet]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err[]='О себе нужно писать меньше :)';

if (!isset($err))msg('Ваш статус успешно изменён');

}
err();
aut();

echo '<div class="gend">
- Текст не должен содержать мат и рекламу!<br />
- Запрещенные символы _\-\=\+\(\)\*\?\</a></div>';

echo "<form method='post' action='?'>\n";

echo "Введите текст приветствия:<br />\n<input type='text' name='privet' value='$user[privet]' maxlength='83' /><br />\n";

echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";

include_once 'sys/inc/tfoot.php';
?>